/*
 * $Id: ServerParamObj.java,v 1.3 2002/07/08 04:15:52 pg Exp $
 *
 */

/**
 * Speichert die Server-Parameter die der Server am Anfang bermittelt
 * 
 * @author Florian Grassl (fg)
 * @author Jens Spies (js)
 *
 */
 
public class ServerParamObj
{
  /** Array in dem die Parameter in der Reihenfolge wie im Manual S. 22 beschrieben gespeichert werden */
  private String[] valueArray;
  
  /** Constructor
   *  @param valueArray String-Array das die ServerParameter enthlt, wie auf S.22 im Manual beschrieben
   */
  public ServerParamObj(String[] valueArray)
  {
    this.valueArray=valueArray;
  }
  
  /** Liefert obengenanntes Array zurck
   *  @return Array mit den Serverparametern
   */
  public String[] getValueArray()
  {
    return this.valueArray;
  }
}

  
/*
 * $Log: ServerParamObj.java,v $
 * Revision 1.3  2002/07/08 04:15:52  pg
 * unoetige TODOs entfernt
 *
 * Revision 1.2  2002/06/09 13:37:41  fg
 * javadoc Dokumentationen eingefgt
 *
 * Revision 1.1  2002/06/07 19:19:48  fg
 * initial version
 *
 *
 */
