/*
 * $Id: Torwart.java,v 1.7 2002/07/06 20:23:16 pg Exp $
 *
 */

/**
 * Playerklasse fuer den Torwart.
 * erweitert die normale Playerklasse um spezielle Torwartfertigkeiten.
 * @author Patrick Gaertner (pg)
 *
 */

public class Torwart
	extends Player
{
	// Konstruktor
	public Torwart(String servAdIn, int servPortIn, String TeamName)
	{
	  super(1, servAdIn, servPortIn, TeamName);
	}
	
	// Methoden (Torwartfertigkeiten)

    /** berechnet den Winkel um den Ball zu fangen
     * @author pg
     */
	public void catchBall(double Winkel)
	{
		this.pars.transOut("(catch "+(Winkel)+")");
	}
}

/*
 * $Log: Torwart.java,v $
 * Revision 1.7  2002/07/06 20:23:16  pg
 * unnoetigen code geloescht
 *
 * Revision 1.6  2002/07/06 00:42:41  fg
 * *** empty log message ***
 *
 * Revision 1.5  2002/07/05 23:38:54  pg
 * catch ueberarbeitet
 *
 * Revision 1.4  2002/07/03 08:50:45  pg
 * java doc
 *
 * Revision 1.3  2002/06/26 09:44:23  pg
 * catch implementiert
 *
 * Revision 1.2  2002/06/07 22:16:14  fg
 * Angepasst an genderten Player-Constructor
 *
 * Revision 1.1.1.1  2002/06/05 10:38:57  pg
 * intital version
 *
 *
 */

