/*
 * $Id: TaktikBibliothek.java,v 1.2 2002/06/07 19:11:34 fg Exp $
 *
 */

/*
 * Bibliothek fuer Klasse Taktik.
 * stellt die zur Spielzugauswahl notwendigen Daten zur verfuegung.
 *
 */

package strategie;

import Player;
import OverviewObject;

public class TaktikBibliothek
{
	
	//Referenezen
	
	private Player play;
	private Taktik takt;
	
	// Attribute
	
	// Konstruktor
	
	public TaktikBibliothek(Player playIn, Taktik taktIn)
	{
		this.play = playIn;
		this.takt = taktIn;
	}
	
	// get & set Methoden
	
	public Player getPlay()
	{
		return this.play;
	}
	
	public Taktik getTakt()
	{
		return this.takt;
	}
	
	// interne Methoden (einzelne Spielzuege)
	
	private void offensiveDefault(OverviewObject akt)
	{
		// offensive standarttaktik falls momentane Situation keinen Spielzug erlaubt
	}
	
	private void offensive1(OverviewObject akt)
	{
		// kurze Spielzugbeschreibung einfuegen. danke.
	}
	
	private void offensive2(OverviewObject akt)
	{
		// kurze Spielzugbeschreibung einfuegen. danke.
	}
	
	private void offensive3(OverviewObject akt)
	{
		// kurze Spielzugbeschreibung einfuegen. danke.
	}
	
	// eventl. noch weitere offensive taktiken hinzufuegen...
	
	private void defensiveDefault(OverviewObject akt)
	{
		//defensive standarttaktik falls momentane Situation keinen Spielzug erlaubt
	}
	
	private void defensive1(OverviewObject akt)
	{
		// kurze Spielzugbeschreibung einfuegen. danke.
	}
	
	private void defensive2(OverviewObject akt)
	{
		// kurze Spielzugbeschreibung einfuegen. danke.
	}
	
	private void defensive3(OverviewObject akt)
	{
		// kurze Spielzugbeschreibung einfuegen. danke.
	}
	
	// eventl. noch weitere defensive taktiken hinzufuegen...
	
	private void siegesicher1(OverviewObject akt)
	{
		// falls vorsprung ausreichend: mauern!
	}
	
	private void siegesicher2(OverviewObject akt)
	{
		// falls vorsprung uneinholbar: perform winningdance! ;)
	}
}

/*
 * $Log: TaktikBibliothek.java,v $
 * Revision 1.2  2002/06/07 19:11:34  fg
 * import Player und import OverviewObject hinzugefgt, findet das sonst nicht (da nicht eigenes package)
 *
 * Revision 1.1.1.1  2002/06/05 10:38:57  pg
 * intital version
 *
 *
 */

