
/**
 * Datenblatt.java
 *
 *
 * Created: Tue Jun 25 17:52:57 2002
 *
 * @author Florian Grassl
 * @version
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Datenblatt extends JPanel 
{
		JTextField[] textPlayer = new JTextField[11];
		JTextField[] textEnemy = new JTextField[11];
		JLabel hear;
    Datenblatt[] spalte = new Datenblatt[3];
    JTextField selfPos, ballPos, spielernummer, stamina, headAngle, bodyAngle, target, anzUnbekannt;
    
		public Datenblatt () 
		{		
		  setLayout(new GridLayout(1,3));
		  spalte[0]=new Datenblatt(1);
		  spalte[1]=new Datenblatt(2);
		  spalte[2]=new Datenblatt(3);
		  add(spalte[0]);
		  add(spalte[1]);
		  add(spalte[2]);
	  }
	 
    public Datenblatt(int spal)
	  {
	    setLayout(new GridLayout(23,1));
		  if (spal==1)
		  {
		    for (int i=1; i<=11; i++)
  		  {
    			add(new JLabel("Player "+i+" Position"));
	    		textPlayer[i-1]=new JTextField();
		    	textPlayer[i-1].setEditable(false);				 
			    add(textPlayer[i-1]);
    		}				
	    	hear=new JLabel("Hear: ");
	    	add(hear);
	    }
		 	if (spal==2)
		  {
		   	for (int i=1; i<=11; i++)
			  {
  				add(new JLabel("Gegner "+i+" Position"));
	  			textEnemy[i-1]=new JTextField();
		  		textEnemy[i-1].setEditable(false);				 
			  	add(textEnemy[i-1]);
		    }
		  }
		  if (spal==3)
		  {
		    add(new JLabel("Meine Position"));
		    selfPos=new JTextField();
		    selfPos.setEditable(false);
		    add(selfPos);
		    add(new JLabel("Position des Balles"));
		    ballPos=new JTextField();
		    ballPos.setEditable(false);
		    add(ballPos);
		    add(new JLabel("Spielernummer"));
		    spielernummer=new JTextField();
		    spielernummer.setEditable(false);
		    add(spielernummer);
		    add(new JLabel("Stamina"));
		    stamina=new JTextField();
		    stamina.setEditable(false);
		    add(stamina);
		    add(new JLabel("Head-Angle"));
		    headAngle=new JTextField();
		    headAngle.setEditable(false);
		    add(headAngle);
		    add(new JLabel("Body-Angle"));
		    bodyAngle=new JTextField();
		    bodyAngle.setEditable(false);
		    add(bodyAngle);
		    add(new JLabel("Zielpunkt"));
		    target=new JTextField();
		    target.setEditable(false);
		    add(target);
		    add(new JLabel("Anzahl an unbek. Spielern"));
		    anzUnbekannt=new JTextField();
		    anzUnbekannt.setEditable(false);
		    add(anzUnbekannt);
		  }
		}
		
		public void setPlayer(int nr, String text)
		{
		  spalte[0].textPlayer[nr-1].setText(text);
		}

		public void setEnemy(int nr, String text)
		{
		  spalte[1].textEnemy[nr-1].setText(text);
		}
		
		public void setSelfPos(String text)
		{
		  spalte[2].selfPos.setText(text);
		}

		public void setBallPos(String text)
		{
		  spalte[2].ballPos.setText(text);
		}

		public void setSpielernummer(String text)
		{
		  spalte[2].spielernummer.setText(text);
		}

		public void setStamina(String text)
		{
		  spalte[2].stamina.setText(text);
		}

		public void setHeadAngle(String text)
		{
		  spalte[2].headAngle.setText(text);
		}

		public void setBodyAngle(String text)
		{
		  spalte[2].bodyAngle.setText(text);
		}

		public void setTarget(String text)
		{
		  spalte[2].target.setText(text);
		}

		public void setAnzUnbekannt(String text)
		{
		  spalte[2].anzUnbekannt.setText(text);
		}

		
}// Datenblatt
